/* This file is Copyright 2000 Level Control Systems.  See the included LICENSE.txt file for details. */

//! author="Jeremy Friesner"

#ifndef STORAGE_REFLECT_UTILS_H
#define STORAGE_REFLECT_UTILS_H

#include "string/PortableString.h"

// Miscellaneous helper functions that are useful on both client 
// and server sides can be placed here.

//:Returns a pointer into (path) after the (depth)'th '/' char
const char * GetPathClause(int depth, const char * path);

//:Returns the depth of the given path.  (path) should start with a '/'
int GetPathDepth(const char * path);

//:Puts a backslash in front of any char in (str) that is "special" to the regex pattern matching
void EscapeRegexTokens(PortableString & str);

#endif
